# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-pyro 
Version:        4.0
Release:        1%{?dist}
Summary:        PYthon Remote Objects

Group:          Development/Languages
License:        MIT 
URL:            http://pyro.sourceforge.net
Source0:        http://www.xs4all.nl/~irmen/pyro3/download/Pyro-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  python-devel

%description
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

%prep
%setup -q -n Pyro-%{version}


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

sed -i 's/\r//' README.txt 
sed -i 's/\r//' examples/oneway/server.py
sed -i 's/\r//' examples/timeout/client.py
sed -i 's/\r//' examples/oneway/Readme.txt
sed -i 's/\r//' examples/callback/Readme.txt
sed -i 's/\r//' examples/circular/client.py
sed -i 's/\r//' examples/chatbox/Readme.txt
sed -i 's/\r//' examples/banks/banks.py
sed -i 's/\r//' examples/autoreconnect/serverNS.py
sed -i 's/\r//' examples/shoppingcart/shopserver.py
sed -i 's/\r//' examples/circular/servC.py
sed -i 's/\r//' examples/banks/client.py
sed -i 's/\r//' examples/oneway/client.py
sed -i 's/\r//' examples/banks/server.py
sed -i 's/\r//' examples/exceptions/client.py
sed -i 's/\r//' examples/circular/Readme.txt
sed -i 's/\r//' examples/distributed-computing/worker.py
sed -i 's/\r//' examples/exceptions/excep.py
sed -i 's/\r//' examples/robots/remote.py
sed -i 's/\r//' examples/autoreconnect/Readme.txt
sed -i 's/\r//' examples/proxysharing/Readme.txt
sed -i 's/\r//' examples/nonameserver/server.py
sed -i 's/\r//' examples/distributed-computing/dispatcher.py
sed -i 's/\r//' examples/eventloop/server.py
sed -i 's/\r//' examples/circular/servA.py
sed -i 's/\r//' examples/autoreconnect/client.py
sed -i 's/\r//' examples/autoreconnect/server.py
sed -i 's/\r//' examples/shoppingcart/clients.py
sed -i 's/\r//' examples/shoppingcart/Readme.txt
sed -i 's/\r//' examples/hugetransfer/client.py
sed -i 's/\r//' examples/hugetransfer/server.py
sed -i 's/\r//' examples/robots/client.py
sed -i 's/\r//' examples/proxysharing/server.py
sed -i 's/\r//' examples/proxysharing/client.py
sed -i 's/\r//' examples/exceptions/server.py
sed -i 's/\r//' examples/timeout/Readme.txt
sed -i 's/\r//' examples/exceptions/server.py
sed -i 's/\r//' examples/timeout/Readme.txt
sed -i 's/\r//' examples/nonameserver/client.py
sed -i 's/\r//' examples/exceptions/Readme.txt
sed -i 's/\r//' examples/servertypes/server.py
sed -i 's/\r//' examples/benchmark/connections.py
sed -i 's/\r//' examples/autoreconnect/clientNS.py
sed -i 's/\r//' examples/callback/server.py
sed -i 's/\r//' examples/benchmark/client.py
sed -i 's/\r//' examples/eventloop/client.py
sed -i 's/\r//' examples/circular/chain.py
sed -i 's/\r//' examples/benchmark/server.py
sed -i 's/\r//' examples/timeout/server.py
sed -i 's/\r//' examples/eventloop/Readme.txt
sed -i 's/\r//' examples/nameserverstress/stress.py
sed -i 's/\r//' examples/chatbox/client.py
sed -i 's/\r//' examples/robots/Readme.txt
sed -i 's/\r//' examples/benchmark/bench.py
sed -i 's/\r//' examples/chatbox/server.py
sed -i 's/\r//' examples/hugetransfer/Readme.txt
sed -i 's/\r//' examples/distributed-computing/Readme.txt
sed -i 's/\r//' examples/callback/client.py
sed -i 's/\r//' examples/distributed-computing/client.py
sed -i 's/\r//' examples/nonameserver/Readme.txt
sed -i 's/\r//' examples/nameserverstress/Readme.txt
sed -i 's/\r//' examples/circular/servB.py
sed -i 's/\r//' examples/servertypes/client.py
sed -i 's/\r//' examples/banks/Readme.txt
sed -i 's/\r//' examples/benchmark/Readme.txt
sed -i 's/\r//' examples/distributed-computing/workitem.py
sed -i 's/\r//' examples/servertypes/Readme.txt
sed -i 's/\r//' examples/robots/gameserver.py
sed -i 's/\r//' examples/robots/robot.py
sed -i 's/\r//' examples/shoppingcart/shoppingcart.py
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/* examples README.txt 
%{python_sitelib}/*

%changelog
* Tue Aug 03 2010 David Hannequin <david.hannequin@gmail.com> 4.0-1
- Fisrt release to Fedora
